private ["_type", "_unit", "_fnc_BUMaddweapons", "_fnc_BUMaddmagazines", "_magazines", "_fnc_BUMCheckAddBackpack","_fnc_BUMaddMedicalSupplies"];

//["MG",this] call compile preprocessFileLineNumbers "AAFgear.sqf"; Kutsu näin

_type = _this select 0;
_unit = _this select 1;

if (!(local _unit)) exitwith {}; // Todella tärkeä. Estää skriptin pyörimisen ei locaaleilla uniteilla

if (_unit isKindof "Man") then
{
	removeBackpack _unit;
	removeGoggles _unit;
	removeAllWeapons _unit;
	//_unit removeweapon "itemradio";
	_unit removeweapon "ItemGPS";
	//_unit addweapon "ACE_NVG_Gen4";
	_unit additem "ACE_EarPlugs";
	_unit linkItem "tf_microdagr";
	_unit addItem "rhsusf_ANPVS_15";
	_unit addItem "rhsusf_patrolcap_ucp";
	_unit addweapon "Binocular";
};

if (_unit isKindof "LandVehicle" || _unit isKindof "Air" || _unit isKindOf "Ship" || _unit isKindOf "Static") then
{
	clearWeaponCargoglobal _unit;
	clearItemCargoGlobal _unit;
	clearMagazineCargoglobal _unit;
	_unit disableTIEquipment true;
	_unit setVariable ["tf_side", "west", true];
	_unit setVehicleLock "UNLOCKED";
	_unit setVariable ["AFI_vehicle_gear","west",true];
};

if (_unit isKindOf "thing") then
{
    _unit setVariable ["AFI_vehicle_gear","west",true];
};

_fnc_BUMaddweapons = {

	//Adds weapons from list
	//Params [unit,[ListOfWeapons] call _fnc_BUMaddweapons;

	private ["_items", "_unit"];
	_unit = _this select 0;
	_items = _this select 1;
	{_unit addweapon _x;} Foreach _items;
};

_fnc_BUMaddmagazines = {

	//Adds list of magazines
	//Params [unit,[[MagazineClassname,count],[MagazineClassname,count],...]] call _fnc_BUMaddmagazines;

	private ["_item", "_unit", "_elements", "_count"];
	_unit = _this select 0;
	_elements = _this select 1;
	{
		_item = _x select 0;
		_count = _x select 1;
		_unit addmagazines [_item,_count];
	} Foreach _elements;
};

_fnc_BUMCheckAddBackpack = {

	//Run before adding rockets, adds an Backpack if Unit does not have one already
	//Params [unit,"BackpackClassName"] call _fnc_BUMCheckAddBackpack;

	private ["_PackToAdd", "_unit"];
	_unit = _this select 0;
	_PackToAdd = _this select 1;

	If (Backpack _unit == "") then {_unit addbackpack _PackToAdd};

};

_fnc_BUMaddMedicalSupplies = {

	//Add Xmedsys Medical supplies
	//Params [unit, mode] call _fnc_BUMaddMedicalSupplies;
	//mode can be "Soldier","medic"
	//medic must have backpack

	private ["_mode", "_unit", "_supplies"];
	_unit = _this select 0;
	_mode = _this select 1;

	Switch (_mode) do {

		case "Soldier":
		{
			_supplies = [["ACE_fieldDressing",6],["ACE_morphine",2]];

			{
				_item = _x select 0;
				_count = _x select  1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};


		case "medic":
		{
			_supplies = [["ACE_fieldDressing",20],["ACE_morphine",10],["ACE_bloodIV_500",4],["ACE_epinephrine",5]];

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};
	};
};


_weapon = ["rhs_weap_m4_carryhandle",
			"rhs_weap_m4_carryhandle_pmag",
			"rhs_weap_m4a1_carryhandle",
			"rhs_weap_m4a1_carryhandle_grip2",
			"rhs_weap_m4a1_carryhandle_pmag",
			"rhs_weap_m4a1_carryhandle_grip",
			"rhs_weap_m16a4_carryhandle",
			"rhs_weap_m16a4_carryhandle_grip",
			"rhs_weap_m16a4_carryhandle_grip_pmag",
			"rhs_weap_m16a4_carryhandle_pmag"] call BIS_fnc_selectRandom;

_gl = ["rhs_weap_m16a4_carryhandle_M203",
			"rhs_weap_m4a1_carryhandle_m203",
			"rhs_weap_m4a1_carryhandle_m203S"] call BIS_fnc_selectRandom;

_m249 = ["rhs_weap_m249_pip_L",
			"rhs_weap_m249_pip_L_para",
			"rhs_weap_m249_pip_L_vfg",
			"rhs_weap_m249_pip_S",
			"rhs_weap_m249_pip_S_para",
			"rhs_weap_m249_pip_S_vfg"] call BIS_fnc_selectRandom;


_aim = ["rhsusf_acc_ACOG",
			"rhsusf_acc_eotech_552",
			"rhsusf_acc_compm4",
			"",
			"",
			"",
			"",
			"",
			"rhsusf_acc_eotech_552",
			"rhsusf_acc_compm4",
			"optic_MRCO",
			"optic_Hamr",
			"rhsusf_acc_eotech_552",
			"rhsusf_acc_compm4",
			"rhsusf_acc_ACOG3_USMC",
			"rhsusf_acc_ACOG2_USMC",
			"rhsusf_acc_ACOG_USMC"] call BIS_fnc_selectRandom;


_Maim = ["optic_Hamr",
			"",
			"",
			"",
			"optic_MRCO",
			"rhsusf_acc_compm4",
			"rhsusf_acc_eotech_552",
			"rhsusf_acc_ELCAN",
			"rhsusf_acc_ACOG",
			"rhsusf_acc_compm4",
			"rhsusf_acc_eotech_552",
			"rhsusf_acc_ACOG_USMC"] call BIS_fnc_selectRandom;


//		_unit addWeapon _weapon;
//		_unit addPrimaryWeaponItem _aim;
//		_unit addPrimaryWeaponItem  "rhs_mag_30Rnd_556x45_M855A1_Stanag";


switch (_type) do
{
		Case "PL":
	{
		[_unit, "tf_rt1523g_big_bwmod_tropen"] call _fnc_BUMCheckAddBackpack;
		_items = ["ACE_Vector", _weapon,"rhsusf_weap_m1911a1"];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2],["rhsusf_mag_7x45acp_MHP",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
		[_unit, "Soldier"] call _fnc_BUMaddMedicalSupplies;
		_unit additem "ACE_microDAGR";
	};

	Case "SL":
	{
		[_unit, "tf_rt1523g_big_bwmod_tropen"] call _fnc_BUMCheckAddBackpack;
		_items = ["ACE_Vector",_weapon,"rhsusf_weap_m1911a1"];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2],["rhsusf_mag_7x45acp_MHP",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15";
		_unit addPrimaryWeaponItem _aim;
		_unit additem "ACE_microDAGR";
	};

	Case "TL":
	{
		[_unit, "rhsusf_assault_eagleaiii_ucp"] call _fnc_BUMCheckAddBackpack;
		_items = [ _gl, "ACE_microDAGR"];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2],["rhs_mag_M433_HEDP",5],["rhs_mag_M441_HE",5],["1Rnd_Smoke_Grenade_shell",10]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15";
		_unit addPrimaryWeaponItem _aim;
		_unit additem "ACE_microDAGR";
	};

	Case "JFO":
	{
		[_unit, "tf_rt1523g_big_bwmod_tropen"] call _fnc_BUMCheckAddBackpack;
		_items = ["ACE_Vector", _weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2],["I_IR_Grenade",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
		_unit additem "ACE_microDAGR";
	};

	Case "FSO":
	{
		[_unit, "tf_rt1523g_big_bwmod_tropen"] call _fnc_BUMCheckAddBackpack;
		_items = ["ACE_Vector",_weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2],["I_IR_Grenade",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
		_unit additem "ACE_microDAGR";
	};

	Case "UAV":
	{
		[_unit, "tf_rt1523g_big_bwmod_tropen"] call _fnc_BUMCheckAddBackpack;
		_items = [_weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem _aim;
		_unit additem "ACE_microDAGR";
	};

	Case "AA":
	{

		[_unit, "rhsusf_assault_eagleaiii_ucp"] call _fnc_BUMCheckAddBackpack;
		_items = [ _weapon, "rhs_weap_fim92"];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2],["rhs_fim92_mag",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
		_unit addItem "rhs_fim92_mag";
	};

	Case "ATJ":
	{
		[_unit, "rhsusf_assault_eagleaiii_ucp"] call _fnc_BUMCheckAddBackpack;
		_items = [_weapon,"rhs_weap_fgm148"];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2],["rhs_fgm148_magazine_AT",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _Maim;
		_unit addItem "rhs_fgm148_magazine_AT";
	};

	Case "AR":
	{
		[_unit, "rhsusf_assault_eagleaiii_ucp"] call _fnc_BUMCheckAddBackpack;
		_items = [_m249];
		_magazines = [["rhsusf_100Rnd_556x45_soft_pouch",5]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem _Maim;
	};


	Case "ARA":
	{
		[_unit, "rhsusf_assault_eagleaiii_ucp"] call _fnc_BUMCheckAddBackpack;
		_items = [_weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2],["rhsusf_100Rnd_556x45_soft_pouch",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
	};

	Case "MEDIC":
	{
		[_unit, "rhsusf_assault_eagleaiii_ucp"] call _fnc_BUMCheckAddBackpack;
		_items = [_weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2],["SmokeShell",2],["SmokeShellRed",2],["SmokeShellPurple",2],["SmokeShellGreen",2],["SmokeShellYellow",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "medic"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
	};

	Case "CREW":
	{
		_unit addVest "V_HarnessO_gry";
		_items = [_weapon,"rhsusf_weap_m1911a1","Binocular"];
		_magazines = [["rhsusf_mag_7x45acp_MHP",3],["rhs_mag_30Rnd_556x45_M855A1_Stanag",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "DRIVER":
	{
		_items = [_weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "ENG":
	{
		[_unit, "UK3CB_BAF_B_Bergen_MTP_Engineer_L_A"] call _fnc_BUMCheckAddBackpack;
			_items = ["rhs_weap_M590_8RD"];
		_magazines = [["DemoCharge_Remote_Mag",2],["rhsusf_8Rnd_00Buck",4],["rhsusf_8Rnd_doomsday_Buck",2],["rhsusf_8Rnd_Slug",3],["rhsusf_8Rnd_FRAG",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addItem "ACE_DefusalKit";
		_unit addItem "ACE_Clacker";
		_unit addItem "ToolKit";
		_unit addItem "ACE_wirecutter";
	};

	Case "SLENG":
	{
		[_unit, "tf_rt1523g_big_bwmod_tropen"] call _fnc_BUMCheckAddBackpack;
			_items = ["rhs_weap_M590_8RD"];
		_magazines = [["DemoCharge_Remote_Mag",2],["rhsusf_8Rnd_00Buck",4],["rhsusf_8Rnd_doomsday_Buck",2],["rhsusf_8Rnd_Slug",3],["rhsusf_8Rnd_FRAG",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addItem "ACE_DefusalKit";
		_unit addItem "ACE_Clacker";
	};
	Case "EXP":
	{
		[_unit, "rhsusf_assault_eagleaiii_ucp"] call _fnc_BUMCheckAddBackpack;
		_items = [_weapon];
		_magazines = [["APERSMine_Range_Mag",1],["rhsusf_m112x4_mag",1],["rhsusf_m112_mag",3],["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
		_unit addItem "ACE_DefusalKit";
		_unit addItem "ACE_Clacker";
	};

	Case "HELI":
	{
		_unit addVest "V_HarnessO_gry";
		_items = [_weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "MG":
	{
		[_unit, "rhsusf_assault_eagleaiii_ucp"] call _fnc_BUMCheckAddBackpack;
		_items = ["rhs_weap_m240b_elcan"];
		_magazines = [["rhsusf_100Rnd_762x51",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_ELCAN";
	};


	Case "MGA":
	{
		[_unit, "rhsusf_assault_eagleaiii_ucp"] call _fnc_BUMCheckAddBackpack;
		_items = [_weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2],["rhsusf_100Rnd_762x51",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
	};

	Case "MARK":
	{
		[_unit, "rhsusf_assault_eagleaiii_ucp"] call _fnc_BUMCheckAddBackpack;
		_items = ["rhs_weap_m14ebrri_leu","rhsusf_weap_m1911a1"];
		_magazines = [["rhsusf_20Rnd_762x51_m118_special_Mag",8],["rhsusf_mag_7x45acp_MHP",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_LEUPOLDMK4";
		_unit addPrimaryWeaponItem "rhsusf_acc_harris_bipod";
		_unit addItem "ACE_RangeCard";
	};

	Case "SNIP":
	{
		[_unit, "rhsusf_assault_eagleaiii_ucp"] call _fnc_BUMCheckAddBackpack;
		_items = ["rhs_weap_XM2010_wd_leu","rhsusf_weap_m1911a1"];
		_magazines = [["rhsusf_mag_7x45acp_MHP",3],["rhsusf_5Rnd_300winmag_xm2010",13]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_LEUPOLDMK4";
		_unit addPrimaryWeaponItem "rhsusf_acc_harris_bipod";
		_unit addItem "ACE_RangeCard";
		_unit addItem "ACE_Kestrel4500";
		_unit addItem "ACE_ATragMX";
	};

	Case "SPOT":
	{
		[_unit, "tf_rt1523g_big_bwmod_tropen"] call _fnc_BUMCheckAddBackpack;
		_items = ["rhs_weap_m4a1_m320","rhsusf_weap_m1911a1","Rangefinder"];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2],["rhs_mag_M433_HEDP",5],["rhs_mag_M441_HE",5],["1Rnd_Smoke_Grenade_shell",5],["1Rnd_SmokeGreen_Grenade_shell",3],["1Rnd_SmokeBlue_Grenade_shell",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_RangeCard";
		_unit addItem "ACE_Kestrel4500";
		_unit addItem "ACE_ATragMX";
		_unit addPrimaryWeaponItem "rhsusf_acc_nt4_black";
		_unit addPrimaryWeaponItem "UK3CB_BAF_LLM_IR_Black";
		_unit addPrimaryWeaponItem "UK3CB_BAF_SpecterLDS_Dot_3D";
	};

	Case "RIF":
	{

		_items = [_weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",6],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
	};

	Case "Ruumis":
	{
		_unit setDamage 1;
		_unit addWeapon _weapon;
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
	};


	Case "RIFL":
	{

		_items = [_weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",6],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
	};

	Case "RIFM136":
	{

		_items = [_weapon,"rhs_weap_M136"];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",6],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
	};

	Case "RIFS":
	{
		[_unit, "rhsusf_assault_eagleaiii_ucp"] call _fnc_BUMCheckAddBackpack;
		_items = ["rhs_weap_M590_8RD"];
		_magazines = [["rhsusf_8Rnd_00Buck",15]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "GRE":
	{
		[_unit, "rhsusf_assault_eagleaiii_ucp"] call _fnc_BUMCheckAddBackpack;
		_items = [_gl];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2],["rhs_mag_M433_HEDP",5],["rhs_mag_M441_HE",5],["1Rnd_Smoke_Grenade_shell",10]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
	};


	Case "MAWS":
	{
		[_unit, "rhsusf_assault_eagleaiii_ucp"] call _fnc_BUMCheckAddBackpack;
		_items = [_weapon,"rhs_weap_smaw_green"];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2],["rhs_mag_smaw_HEAA",2],["rhs_mag_smaw_HEDP",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
		_unit addSecondaryWeaponItem "rhs_weap_optic_smaw";
	};

	Case "MAWSASS":
	{
		[_unit, "rhsusf_assault_eagleaiii_ucp"] call _fnc_BUMCheckAddBackpack;
		_items = [_weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2],["rhs_mag_smaw_HEAA",1],["rhs_mag_smaw_HEDP",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
	};

	/////////
	//Autot//
	/////////


		Case "Auto": //perus
	{
		_unit addMagazineCargoGlobal ["rhsusf_8Rnd_00Buck",5];
		_unit addMagazineCargoGlobal ["rhsusf_8Rnd_Slug",3];
		_unit addMagazineCargoGlobal ["rhsusf_100Rnd_556x45_soft_pouch", 3];
		_unit addMagazineCargoGlobal ["rhsusf_100Rnd_762x51", 3];
		_unit addMagazineCargoGlobal ["rhsusf_20Rnd_762x51_m118_special_Mag", 3];
		_unit addMagazineCargoGlobal ["rhs_mag_30Rnd_556x45_M855A1_Stanag", 5];
		_unit addMagazineCargoGlobal ["SmokeShell",5];
		_unit addMagazineCargoGlobal ["SmokeShellRed",2];
		_unit addMagazineCargoGlobal ["SmokeShellPurple",2];
		_unit addMagazineCargoGlobal ["SmokeShellGreen",2];
		_unit addMagazineCargoGlobal ["SmokeShellYellow",2];
		_unit addMagazineCargoGlobal ["rhs_mag_m67",2];
		_unit addMagazineCargoGlobal ["rhs_mag_M433_HEDP",5];
		_unit addMagazineCargoGlobal ["rhs_mag_M441_HE",5];
		_unit addMagazineCargoGlobal ["1Rnd_Smoke_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeBlue_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeGreen_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeOrange_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokePurple_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeRed_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeYellow_Grenade_shell",5];
		_unit addItemCargoGlobal ["ACE_wirecutter",1];;
		_unit addItemCargoGlobal ["ACE_bodyBag",10];
		_unit addItemCargoGlobal ["ACE_bloodIV_500",2];
		_unit addItemCargoGlobal ["ACE_fieldDressing",10];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",100];

	};

	Case "Vaunu": //perus
	{
		_unit addMagazineCargoGlobal ["rhsusf_8Rnd_00Buck",5];
		_unit addMagazineCargoGlobal ["rhsusf_8Rnd_Slug",5];
		_unit addMagazineCargoGlobal ["rhsusf_100Rnd_556x45_soft_pouch", 5];
		_unit addMagazineCargoGlobal ["rhsusf_100Rnd_762x51", 5];
		_unit addMagazineCargoGlobal ["rhsusf_20Rnd_762x51_m118_special_Mag", 10];
		_unit addMagazineCargoGlobal ["rhs_mag_30Rnd_556x45_M855A1_Stanag", 10];
		_unit addMagazineCargoGlobal ["SmokeShell",10];
		_unit addMagazineCargoGlobal ["SmokeShellRed",5];
		_unit addMagazineCargoGlobal ["SmokeShellPurple",5];
		_unit addMagazineCargoGlobal ["SmokeShellGreen",5];
		_unit addMagazineCargoGlobal ["SmokeShellYellow",5];
		_unit addMagazineCargoGlobal ["rhs_mag_m67",5];
		_unit addMagazineCargoGlobal ["rhs_mag_M433_HEDP",5];
		_unit addMagazineCargoGlobal ["rhs_mag_M441_HE",5];
		_unit addMagazineCargoGlobal ["1Rnd_Smoke_Grenade_shell",10];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeBlue_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeGreen_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeOrange_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokePurple_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeRed_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeYellow_Grenade_shell",5];
		_unit addItemCargoGlobal ["ACE_wirecutter",1];
		_unit addItemCargoGlobal ["ACE_morphine",5];
		_unit addItemCargoGlobal ["ACE_epinephrine",5];
		_unit addItemCargoGlobal ["ACE_bodyBag",10];
		_unit addItemCargoGlobal ["ACE_bloodIV_500",5];
		_unit addItemCargoGlobal ["ACE_fieldDressing",20];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",110];
	};

		Case "Banana": //perus
	{
		_unit addItemCargoGlobal ["ACE_Banana",2000];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",200];
	};

		Case "Laatikko":
	{
		clearWeaponCargoglobal _unit;
		clearItemCargoGlobal _unit;
		clearMagazineCargoglobal _unit;
		_unit addMagazineCargoGlobal ["rhsusf_8Rnd_00Buck",5];
		_unit addMagazineCargoGlobal ["rhsusf_8Rnd_Slug",5];
		_unit addMagazineCargoGlobal ["rhsusf_100Rnd_556x45_soft_pouch", 3];
		_unit addMagazineCargoGlobal ["rhsusf_100Rnd_762x51", 3];
		_unit addMagazineCargoGlobal ["rhsusf_20Rnd_762x51_m118_special_Mag", 10];
		_unit addMagazineCargoGlobal ["rhs_mag_30Rnd_556x45_M855A1_Stanag", 8];
		_unit addMagazineCargoGlobal ["SmokeShell",9];
		_unit addMagazineCargoGlobal ["rhs_mag_m67",8];
		_unit addMagazineCargoGlobal ["rhs_mag_M441_HE",7];
		_unit addMagazineCargoGlobal ["1Rnd_Smoke_Grenade_shell",8];
		_unit addItemCargoGlobal ["ACE_wirecutter",1];
		_unit addItemCargoGlobal ["ACE_morphine",15];
		_unit addItemCargoGlobal ["ACE_epinephrine",10];
		_unit addItemCargoGlobal ["ACE_bodyBag",10];
		_unit addItemCargoGlobal ["ACE_bloodIV_500",5];
		_unit addItemCargoGlobal ["ACE_fieldDressing",20];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",2000];
	};

		Case " ":
	{

	};
};


if (_unit isKindof "Man") then
{
	_magazines = [["rhs_mag_m67",3],["SmokeShell",5],["SmokeShellRed",1],["SmokeShellPurple",1],["SmokeShellGreen",1],["Chemlight_Blue",2],["SmokeShellYellow",1]];
	[_unit, _magazines] Call _fnc_BUMaddmagazines;
};
